#### D.15.25.6 makeLinks

Procedure from library `stanleyreisner.lib` (see stanleyreisner_lib).

Usage:
  makeLinks(I,p,q); I = ideal, p = poly, p=poly.

Assume:
  I is the ideal generated by the monomials w.r.t. faces.

Return:
  links of p, graded pieces of first and second order deformation of links on ideal I.

Example:

    LIB "stanleyreisner.lib";
    ring R=0,(x(1..4)),lp;
    ideal i=x(1),x(2),x(3),x(4),x(1)*x(4),x(2)*x(4),x(1)*x(3),x(2)*x(3);
    LinksDeformation L=makeLinks(i,x(4)^2,x(1)*x(2));
    L;
    ==> The links of x(4)^2 is :
    ==> _[1]=x(1)
    ==> _[2]=x(2)
    ==> The first order deformation of the links is :
    ==> x(1),x(2)  ->  10
    ==> phi.source  ->  phi.over / phi.source
    ==>
    ==> The second order deformation of the links is :
    ==> phi.relations  ->  phi.over/phi.source
    ==>
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.